Index: trunk/test/testcompile.sh
===================================================================
--- trunk/test/testcompile.sh	(revision 509)
+++ trunk/test/testcompile.sh	(revision 539)
@@ -25,4 +25,11 @@
 run_dnmalloc ()
 {
+    uname -a | grep -i openbsd >/dev/null
+
+    if test x$? = x0; then
+	log_skip $num ${MAXTEST} 'test dnmalloc'
+	return 0
+    fi
+
     fail=0
     if test x$1 = x0; then
Index: trunk/test/testrun_1b.sh
===================================================================
--- trunk/test/testrun_1b.sh	(revision 509)
+++ trunk/test/testrun_1b.sh	(revision 539)
@@ -68,6 +68,5 @@
 	#
 	#
-	${TOP_SRCDIR}/configure ${BUILDOPTS} 2>/dev/null | \
-	    egrep 'use existing [./[:alnum:]]+ for gpg checksum' >/dev/null
+	${TOP_SRCDIR}/configure ${BUILDOPTS} 2>/dev/null
 	#
 	#
